# Uses of Enum Class
org.bukkit.GrassSpecies

Packages that use GrassSpecies
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.material
Classes that represents various voxel types and states.

## Uses of GrassSpecies in org.bukkit

Methods in org.bukkit that return GrassSpecies
Modifier and Type
Method
Description
`static @Nullable GrassSpecies`
GrassSpecies.`getByData(byte data)`
Deprecated.
Magic value
`static GrassSpecies`
GrassSpecies.`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static GrassSpecies[]`
GrassSpecies.`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of GrassSpecies in org.bukkit.material

Methods in org.bukkit.material that return GrassSpecies
Modifier and Type
Method
Description
`GrassSpecies`
LongGrass.`getSpecies()`
Deprecated.
Gets the current species of this grass
Methods in org.bukkit.material with parameters of type GrassSpecies
Modifier and Type
Method
Description
`void`
LongGrass.`setSpecies(GrassSpecies species)`
Deprecated.
Sets the species of this grass
Constructors in org.bukkit.material with parameters of type GrassSpecies
Modifier
Constructor
Description
``
`LongGrass(GrassSpecies species)`
Deprecated.